[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tmatrix4_single.init

Initializes the matrix, setting its elements to the values passed to the constructor.

## Declaration

Source position: matrix.pp line 231

`constructor Tmatrix4_single.init(`
`aa: single;`
`ab: single;`
`ac: single;`
`ad: single;`
`ba: single;`
`bb: single;`
`bc: single;`
`bd: single;`
`ca: single;`
`cb: single;`
`cc: single;`
`cd: single;`
`da: single;`
`db: single;`
`dc: single;`
`dd: single`
`);`

## Description

Initializes the matrix, setting its elements to the values passed to the constructor. The order of the values is left to right, then top to bottom.